Delete Bin Entry
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/trash-bin/{binEntryId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 403,
"message": "Missing permission",
"details": "User does not have a required permission to perform this operation.",
"key": "missing_required_permission"
}Delete Bin Entry
Deletes permanently a bin entry with a given ID.The following resources can be moved to the bin and permanently deleted:
- campaigns
- vouchers
- products
- SKUs
To use this endpoint and delete a given resource type, you must have the following permissions:
vouchers.deleteto delete a voucher,campaigns.deleteto delete a campaign,products.deleteto delete a product or SKU.
DELETE
/
v1
/
trash-bin
/
{binEntryId}
Delete Bin Entry
curl --request DELETE \
--url https://{cluster}.voucherify.io/v1/trash-bin/{binEntryId} \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"code": 403,
"message": "Missing permission",
"details": "User does not have a required permission to perform this operation.",
"key": "missing_required_permission"
}Authorizations
X-App-Id & X-App-TokenX-Voucherify-OAuth
Scopes
api
Gives access to whole server-side API.
trash-bin
Gives access to all endpoints and methods starting with /v1/trash-bin.
Path Parameters
Provide the unique identifier of the bin entry.
Example:
"tbe_0ec1cf03fe133e2de7"
Response
Returns no content if deletion is successful.

